OPTION(LOG_LOG "Enable log messages" OFF)
OPTION(LOG_DEBUG1 "Enable level 1 debug messages" OFF)
OPTION(LOG_DEBUG2 "Enable level 2 debug messages" OFF)
OPTION(LOG_DEBUG3 "Enable level 3 debug messages" OFF)
OPTION(LOG_ERROR "Enable error messages" ON)
OPTION(LOG_ERROR_MEMORY "Enable error memory messages" ON)
OPTION(LOG_SYSLOG_INFO "Enable syslog error messages" OFF)
OPTION(LOG_SYSLOG_WARNING "Enable syslog error messages" OFF)
OPTION(LOG_SYSLOG_ERR "Enable syslog error messages" OFF)

IF(LOG_LOG)
	ADD_DEFINITIONS(-DLOG)
ENDIF()

IF(LOG_DEBUG1)
	ADD_DEFINITIONS(-DDEBUG1)
ENDIF()

IF(LOG_DEBUG2)
	ADD_DEFINITIONS(-DDEBUG2)
ENDIF()

IF(LOG_DEBUG3)
	ADD_DEFINITIONS(-DDEBUG3)
ENDIF()

IF(LOG_ERROR)
	ADD_DEFINITIONS(-DERROR)
ENDIF()

IF(LOG_ERROR_MEMORY)
	ADD_DEFINITIONS(-DERROR_MEMORY)
ENDIF()

IF(LOG_SYSLOG_INFO)
	ADD_DEFINITIONS(-DSYSLOG_INFO)
ENDIF()

IF(LOG_SYSLOG_WARNING)
	ADD_DEFINITIONS(-DSYSLOG_WARNING)
ENDIF()

IF(LOG_SYSLOG_ERR)
	ADD_DEFINITIONS(-DSYSLOG_ERR)
ENDIF()
